Start Here

  • What is this program?
  • Using it
  • Troubleshooting
  • Multiple language support
  • Web Resources

DiskState (c) 1998-2001 Geekcorp Software.
All Rights Reserved.


What is this?

Browse through your disk space to find out total, used and free space and file system info on your drives. Get detailed info on the biggest folders on selected volume. Eliminate wasted disk space by deleting old and temporary files at your command. In addition, get a complete listing of duplicate files over all your drives. This uses a powerful 128-bit MD5 or CRC-32 signature to ensure that files actually are equal. Capture disk states, generate reports, schedule a deletion engine, extract boot blocks for multi-boot, delete traces by browsing the Internet as well as other system tools.

All in all, this is a small but powerful tool to analyze and tidy your computer.

[more]


Frequently Asked Questions

    1. How do I get DiskState to avoid folder names with a specific pattern for DiskClean?
    2. I can't seem to get the DiskState service running. What am I doing wrong to the this deletion engine running?
    3. I want to quit DiskState, but it appears to be busy. How?
    4. When saving files to be deleted to a zip file, DiskState appears to be "Not Responding" in the task list. Why?
    5. Is it safe to delete the files suggested duplicate files?
    6. Why does not "Select All" select all the files?
    7. Some files are listed with a red color in listings. This looks weird on my brown background color in Windows. Help?
    8. DiskState fails when I click on "System" and "Settings" in the main window. Why?
    9. There are no partitions available in the system tool "Extract Boot Blocks". I'm using Windows NT/2000/XP. Why is that?
    10. When I uninstall DiskState, the file DService.exe remains in the DiskState folder. What is this? Why?
    11. I am experiencing high CPU utilization using the DiskState Service? Why?

  1. How do I get DiskState to avoid folder names with a specific pattern for DiskClean? I want to ignore all folders in the "Santa" folder named "Backup".

    a)     Go to Settings | DiskClean. In the lower part of this window, click on the magic wand button. In the edit box, enter ".*Santa\\.*Backup\\$" without the quotes. DiskState uses regular expressions, thus this statement makes DiskState ignore anything beginning with Santa\ followed by Backup\ folder (note the double "\").
  2. I can't seem to get the DiskState service running. What am I doing wrong to the this deletion engine running?

    a)     Are you running Windows NT, Windows 2000 or Windows XP ? :-)

    b) Current user must have been given service rights. Bring up the user manager and enable service rights. Tip: if you are logged in as Administrator, simply invoke the Services from the control panel and start the service manually from there.

    c) The DiskState service requires the MFC library. You might not have this correctly installed. Go to: http://activex.microsoft.com/controls/vc/mfc42.cab
  3. I want to quit DiskState, but it appears to be busy. How?

    a)     Locate the main window, press the 'Q' three times and answer "Yes" in popping dialog. This will force-kill DiskState.
  4. When saving files to be deleted to a zip file, DiskState appears to be "Not Responding" in the task list. Why?

    a)     DiskState is single-threaded in the deletion process and the program is invoking the Zip.dll routines at this point. It does not pump any message queues at this point. In plain English - this is normal as long as you can observe disk activity to create the large zip file. The same can happen when recoverying deleted entries. Be patient :)
  5. Is it safe to delete the files suggested duplicate files?

    a)     When DiskState presents you with a list of duplicate files across several volumes, it does not necessary mean that it is safe to delete the duplicate files. Sometimes, it is normal to have duplicate files (even Windows has a backup folder in its folder structure - only viewable from DiskState with enabling system files option before scan). You should decide which files should be deleted or not. Generally, look for multimedia sequences, like MP3s or any other space hogging files. You save the most by deleting such duplicates. If a files has the extension .dll, then you can move that file with Explorer to your Windows\System (for Win95/98/ME) or WinNT\System32 folder (for WinNT/2000/XP). You should then safely delete the duplicates of this dll-file, as long as there exists one original in the system folder of your system.
  6. Why does not "Select All" select all the files for duplicates?

    a)     This is a safety behavior by design to prevent mistaken with certain important system files. Naturally, some of you experts want to disable this safety. For DiskClean, this can be done by enabling "Expert mode" before scanning the volume for temporary files. As for the duplicate finder, right click in the list of duplicate files and enable the "Select All Files Regardless". "Select All" will then always select everything, regardless of system files etc.
  7. Some files are listed with a red color in listings. This looks weird on my brown background color in Windows. Help?

    a)     You can change this color by right-clicking in the duplicate file listing window. Select "Choose Warning Color" from the context menu to adjust the red color to a more appropriate color.
  8. DiskState fails when I click on "System" and "Settings" in the main window. Why?

    a)     It is very likely that you are running Windows 95 and need to run the Common Control Library Patch. Simply download it from this location and run the executable. The settings and system tools of DiskState should then work nicely. You can also find a Setup distribution of DiskState for this special version of Windows 95 on our web page.
  9. There are no partitions available in the system tool "Extract Boot Blocks". I'm using Windows NT/2000/XP. Why is that?

    a)     This is most likely a security problem. You need Administrator rights to access the partition tables under Windows 2000/NT/XP.
  10. When I uninstall DiskState, the file DService.exe remains in the DiskState folder. What is this? Why?

    a)     This file is the DiskState Service for the Deletion Engine. You should stop the service and uninstall it in the settings before you uninstall DiskState. Just install and uninstall DiskState after you have done this to remove the DService.exe file. The file was not originally removed, because it was locked by the operating system.
  11. I am experiencing high CPU utilization using the DiskState Service? Why?

    a)     If you are running the DiskState Service under a network account with very restricted rights, this may cause this behavior. Try using another network account with less restrictions or a local account.


Web Resources

Please visit our DiskState web pages for the very latest version of this program, as well as other related issues like updates, tips and tricks.

Raxco Software (Reseller)
http://www.raxco.com/products/diskstate/

Raxco Ltd. (Reseller)
http://www.raxco.co.uk/fp_diskstate.html

Software Intelligence (Reseller)
http://www.si.com.au

Geekcorp Software (Product R&D)
http://geekcorp.com/diskstate/

DiskState Resources
http://geekcorp.com/diskstate/resources.html


Introducing DiskState

This program reports the current state of your disks: Total Megabytes and Gigabytes, the amount of space used and free, and the useable swap space (or memory usage). Furthermore, one can browse through the folder structure with an intuitive pie chart showing relative folder space used.

DiskState can also eliminate space wasted after program crashes or simply temporary files no longer needed.

You can remove traces of your browsing from Internet Explorer, Netscape and Opera web browsers. Valuable information can be left intact for malicious users to see and abuse. DiskState can remove this information for you.

The Duplicate Finder of DiskState uses a powerful 128-bit MD5 technology to track down redundant files. Even if the file names are different, DiskState identifies duplicates by content and displays true duplicates in a comprehensive list.

Next, DiskState can capture the state of all files in the folder hierarchy. This enables the user to compare old states with newly captured ones. Ideally for detecting changes in files, deleted files and added files in a given folder structure.

Reports can be generated to find the oldest files, archive files etc. on a disk volume. Find files edited within a specified time period, files with given attributes like compressed, read-only, hidden and so forth. The whole report generator is fully user-customizable. Adding new reports is simple.

A notification can be given, either by a popup window or email, when a volume has reached its level of capacity.

File deletions are SAFE. DiskState can easily restore back the state of cleaned file entries.

DiskState also provides a deletion engine for scheduling cleanups regularly.

[Read More...]


Features

This page displays a feature listing of the DiskState application.

  • Wizard to find duplicate MP3s, image files, movies and other multimedia files.
  • Finds duplicate files across ALL selected volumes by file size and 128-bit MD5 signature, which insures the integrity of the duplicates list. Supports BaseSelect for clever selection of which duplicates to keep. Specify which folder to start search on individual volumes. Also specify which files to ignore and what folders to always ignore in search.
  • Cleans up the selected volume by removing temporary files (with the user's permission). Detects unnecessary temporary Internet files from both Internet Explorer, Netscape and Opera. Optionally sends files to the recycle bin or backup files. It also resolves dead file links and so forth (around 30 pre-defined rules). The whole logic is user-configurable with the full power of regular expressions. Exclusion of folders is also possible by option.
  • It is SAFE. All file deletions can be restored using the Zip Safety feature. Recovery directly from within DiskState. Select individually files to recover or all files. Safe as it does not overwrite newer files than found in the backup file.
  • Analyzes folder structure to find what exactly resides in a particular folder. Ideal to find hogging files. Export this information to clipboard or printer. Ideal for system administrators who needs to send out an email about "who is using up the disk space on the servers".
  • Displays 3D resizable pie chart showing the relative use of space on a selected volume. This pie can also be printed out.
  • Complete directory tree of folder and files capture feature to spot changed, added and deleted files.
  • Report generator to detect large files, old files, archive files, picture files, file by date stamps, long file path names etc. User-definable reports available as an option. View, delete, find and filter entries in each report.
  • Window shading gives a small window with disk usage.
  • Notify maximum disk capacity reached by popup window or by direct email. Configurable thresholds on any volume.
  • Deletion engine to clean up specified folders ignoring user-definable files, files older than a given number of days etc. One can also specify which files to delete, e.g. *.obj for removing temporary object files from compiling. Works recursively and can also delete empty folders upon selection. Only available under Windows NT, Windows 2000 and Windows XP.
  • System Tools: Edit, add, remove and validate entries in Windows' list of installed programs (ideal to delete duplicate entries when updating software). From here, you can also validate the entries automatically and uninstall applications directly from DiskState. Next, cover your tracks by deleting typed URLs in Internet Explorer, Windows' run history, find history, document history, IE cookies and IE history folder. As far as cookie management goes, you can remove cookies selectively using sub-string matches, all or by manual/auto selections. Clean up traces in the Opera and Netscape web browsers.
  • Configurable: Over 100 different user options.
  • Server friendly: Make DiskState use idle cycles when working. This does not stress busy file servers.
  • Internet enabled: Automatically check for updates and messages on the Internet regarding DiskState. Supports proxy web access also (behind firewalls etc.). Supports downloading and running an automated version updater.
  • Lists can be printed, copied to clipboard, exported to files etc. Export MD5/CRC-32 stamps to disk for post-analysis in third-party software.
  • Duplicate list can be exported and imported for later review.
  • Reports what file system the partitions are using: FAT32, FAT, NTFS, CDFS etc.
  • Launches ScanDisk, Disk Administrator, Perfect Disk, Perfect Disk 2000 and Disk Management (Windows 2000/XP) if available from a Disk Analysis window on volume. You can also set up custom applications to run for integration with your favorite third-party disk tool.
  • Works with both "Large fonts" and "Small fonts" as defined in Windows' "Display Properties" list.
  • Supports large partitions: > 2GB supported. Loves millions of files to remove duplicates from. No limits on the software. techniques.
  • Dump volume information to ASCII file (batch). Enable this by starting DiskState the "/dumpstate" argument.
  • Searching for duplicates can be done by command line option "/dupes". Useful for automatically generate duplicate file reports on a regular basis.
  • Move file, copy file, clipboard etc. available in context menu of duplicate list.
  • Base Select option box for selecting duplicate files to your hearts content.
  • Works with compressed devices.
  • Hide to system tray.
  • LiteStep support.
  • Multiple language support.
  • Detects network mapped devices and acts accordingly.
  • Detects UMSDOS Linux partitions and acts carefully.
  • Ignores substituted volumes at the user's option.
  • Automatically refreshes itself when a new disk is inserted.
  • Integrates with Enriva Magellan Explorer.
  • Dynamic windows: Resizable, remembers columns etc.
  • Different colors on system files in the list of files to warn users before selecting these files. This only applies to list of duplicate files, not reports.
  • Search up/down in file lists. Regular expression search.
  • Fast file access guaranteed by careful optimization and caching.


Requirements

  • Windows 95, Windows 98, Windows ME, Windows NT, Windows 2000 or Windows XP.
  • DiskState's deletion engine requires Windows NT/2000/XP to set up the service. Also, the Deletion engine requires MFC DLLs to start (not included in the standard distribution). Available for download below at http://activex.microsoft.com/controls/vc/mfc42.cab.
  • Intel 386 processor or better. A Pentium or similar CPU is recommended.
  • 8 MB RAM.
  • Internet Explorer 3.02 or better to view the help files.
  • If you are running Windows 95 build 950, you need Common Controls Update. This is not necessary for other operating systems.


Using DiskState

    • Status Information
    • Volume Analysis
      • Volume Cleanup
      • Reports
    • Duplicate Files
    • State Captures
    • System Tools
      • Cover Your Tracks
      • Add/Remove Programs
      • Extract Boot Blocks
    • Deletion Engine
    • Batch Reports by Command Line


Status Information

By launching DiskState, you will be presented with a window showing all your drives, removable, network drives, RAM disks etc. In this window, you can watch your current disk status:

  • volume letter and name
  • usage percentage
  • total, used and free disk space
  • summary of total and free disk space

It is also possible to show the size of your paging file(s).

If you move the Windows cursor over any of the volumes listed in this window, you will get a rectangular box around it. This means that DiskState can inspect the current volume further. Just click on the left mouse button to start inspecting (see picture below).

Window Shading. If you would like to have a quick view of your disk usage in a small window, try doubleclicking on the DiskState titlebar. You can toggle between the window shade and normal view mode. As you can see, window shading shows three volumes usage bars in the titlebar. You can customize what volumes to appear in the titlebar.


Volume Analysis

When you click on a volume from the main window, you will be presented with a new window. The new window shows all the folders on the volume sorted by size, quick volume information, a pie chart over folders and a button row at the bottom. From this window, you can:

  • Review the folder usage to find the largest space-hogging folders.
  • Export this analysis report to either the clipboard or the printer. If you send the report to the printer, the pie chart will included on your print-out.
  • Start ScanDisk or Disk Administrator (Disk Management for Windows 2000 Pro) to check the volume for errors and an partition overview. Please note that you can also customize which applications to run here.
  • Start DiskState's disk cleaning utility. This will scan the current volume for temporary files to be deleted by your command. By default, DiskState only moves deleted files to a zip file as backup.
  • Start DiskState's duplicate files finder. This will open a window for you to select volumes and folders to be included in a search.
  • Start Windows' Defragmenter, which aligns data on your volume for faster file access. Under Windows NT, DiskState will suggest PerfectDisk from Raxco Software if installed. In other flavors of Windows, DiskState will suggest the build-in defragmenter if available. Please note that you can also customize which applications to run here.
  • Start DiskState's report utility. Here you can create new reports, print and view reports of your choice.
  • Refresh the view.
  • Close the Volume Analysis window.


Folder Usage

  • Do you think that the pie chart is too small? Click on it to open a separate window with a larger pie chart, which you can resize and move around on your desktop. It is useful if you have many folders and want to get a more detailed pie charted overview of the space usage.
  • Click your way down into the folder structure of the selected volume. Tip: If you would like to open a file manager in a folder, simply right-click on the folder name. DiskState will open the Explorer by default. If Enriva Magellan Explorer is installed, it will be opened instead.
  • Use the "Up" button to move back up in the folder tree. If you are in the root folder and click "Up", you can change to another volume.
  • Folder sizes are showed in 88.88 kB/MB/GB format to save space in the window.
  • If DiskState finds one compressed file on the volume, it writes "Compressed" in the quick volume info section.


Volume Cleanup

DiskState can spot temporary files and left-over files by system crashes. It will suggest its findings to you in a list of files.

You can activate the Volume Cleanup (DiskClean) from the Volume Analysis window. Click on the "DiskClean" icon at the bottom of the window for the volume you would like to clean.

Tip: If you only want to clean a particular folder, for example the C:\Windows, simply browse to this folder in the "Folder Usage". Then click DiskClean to clean from this folder and downward the folder structure.

What does DiskState look for?

The DiskClean in DiskState is fully configurable, but we will briefly mention a few type of files below:

  • Backup files of various kinds, but safely ignores backups belonging to Psion Series 5 PDA synchronization etc.
  • Dead file links. Ideal for your start menu.
  • Dr. Watson memory dumps. Large files generated by crashes.
  • Files with zero size.
  • A whole bunch of temporary files.
  • Help files search results and word list. These are generated when searching help files, and does not contain any documentation.
  • Recent documents folder. Note: This is not enabled by default.
  • Various log files.
  • Temporary internet files from both IE and Netscape.

Before searching

You can make DiskState include all the hidden files and folders of your volume. This is normally not recommended. However, if you feel like an expert - enable both the two checkboxes you are presented with when you click "DiskClean". The expert mode will override all safety rules run internally in DiskState. It is not recommended for use. You are hereby warned of this.

On the other hand, if you leave the two options unchecked, you should be perfectly safe. Please click "Next" to start analyzing the volume for temporary files. No files will be deleted unless you choose to remove them (to backup, of course).

After the search

If you have any temporary files, broken links, temporary internet files, zero length files and so forth (the types are configurable from the settings), you will be presented with a results window.

From this window, you can see a file listing to the right of temporary files found on the selected volume from the current folder specified in the Volume Analysis window.

The button column to the left offers the following:

  • Select all files for deletion. This is safe, but remember to delete to backup as the general rule. Better safe than sorry ;-)
  • Select none of the files.
  • Print the file list for review later.
  • Export the file list to clipboard or ASCII file. Tip: DiskState can generate comma-separated reports, which can be processed by third-party software.
  • Delete the select files to backup. Be sure to have the checkbox "Move to zip file(s) as backup" enabled.
  • View the selected file or opening it with its associated application.
  • Find files. Use the powerful regular expressions to find and select or unselect files of your choice.
  • Close the results window when you are done.
There is also a context menu available from this window. Clicking the right mouse button to bring it up.


Duplicate Files

DiskState can look for duplicate files across your system. This feature is one of DiskState's biggest strengths.

A key issue when looking for duplicate files in DiskState, is not it does not rely on matching file names or time stamps. DiskState addresses the problem that duplicate files can have different names, and they can even have different time stamps.

DiskState's duplicate finder uses a 128-bit MD5 technology to ensure that it is indeed suggesting duplicate files. It traverses through all the potential duplicate files, creates a signature for all the files and compares them later on. CRC-32 is also available.

[Read More...]


Reports

DiskState provides the user with a report system. You can:

  • Generate reports.
  • Print reports.
  • Export reports for third-party tools.
  • Delete files in Report (be sure to have Safety Zip enabled).
  • Find and View tools.
  • Narrow down report entries by file date stamp.
  • Customize and create your own reports.

[Read More...]


Viewing a Report

You can open the Reports from the Volume Analysis window.

  1. Select the type of report you would like to generate. By default, you can choose from Largest Files, Oldest Files, Zip Files, Rar Files, Ace Files, Picture Files, System Files, Date and File Attributes and Long Paths > 240 chars. Custom reports, if any are present, are below the dashed line.
  2. Click "Generate" to the right.
  3. The report appears in the file listing in the right side of the window.
  4. Narrow your result by clicking on "Filter".

The user can then print the report, change sort order by clicking on the columns on top, export the file list to clipboard or to file, and find and view files in the list.

Click the right mouse button to open a context menu for the selected file. Here you can rename the file, move it and copy the full path to the clipboard.

Rar and Ace Reports

DiskState will include archive files of both these two formats that are spanned over multiple files.

Date and File Attributes Report

This report is useful to 1) find files created, modified or accessed within a given time interval using timestamps and 2) spot files in this interval with specified file attributes.

Note: If you want to find all hidden files regardless of timestamps, uncheck all the time checkboxes and check the "Hidden" checkbox.

Applicability would typically be to find really old files or changed files since yesterday.


Create Custom Report

The user can create user-defined reports in DiskState. Follow this simple procedure to do this:

  • Open the Report Creator from the "Reports" button in the Reports window.
  • Enter a human name of your report, e.g. "My executable files".
  • Enter the extension(s) that goes along this report. You can use multiple extensions here. For executables on the Win32 platform, we have "exe" and "com" files for example. Extensions are separated by commas. In spirit of our example, enter "exe, com" without the quotes. Note: If you would like to include all the files in a report, use "*" instead.
  • Select sort criteria: Path, file size or file date. We would like to find the largest executables, so we click "Size".
  • Choose sort order, either ascending or descending (the latter is when the checkbox is unchecked).
  • Click the "Apply" button to create the new report template.
  • Close the Report Creator and observe "My executable files" in the combo box next to the "Generate" button in the Reports window.

Report templates are stored in Reports.ini located in the DiskState folder. If there are no custom reports, this file is deleted.


Getting Started: Duplicates

Getting Started

It is possible to open the "Find Duplicates" window from two places:

  • From the Main window - click on the "Dupes" button.
  • From the Volume Analysis window. Click on the "Duplicates" button at the bottom.

Wizard vs Classic Mode

A Wizard Mode is available to make it easier for the user in finding multimedia duplicates. Designed with simplicity in mind, the wizard was motivated by the fact that multimedia duplicate files take up a considerable amount of space - eliminating one duplicate file can result in a significant additional free space.

In the wizard mode, the user can select four types of data: Music files, movie files, image files and all multimedia type of files. Next, the user must select where to look for duplicate files. By default, the wizard suggests searching all the local harddrives. The user can also select individual harddrives to search for duplicate multimedia files.

The Classic mode is used for more advanced searches. From this mode, the user can: 1) specify volume(s) to look for duplicate files, 2) specify starting folders on each volume, 3) enable and disable various flags and options as well as 4) setting filters on the duplicate files to investigate. The rest of this section will describe the Classic mode in more detail.

Import

If you have saved a previous duplicate search result, you can import the search results by clicking on the "Import" button to the upper right. This import file must have previously been exported as binary via the Export tool found in the duplicate files result window. The latter is accessible in the Results window - click Export and then select Binary.

Please note that import does not fill out the version and file type fields in the search results. This is done to enhance the speed of importing large duplicate search results.

Where to search

You can ask DiskState to look in multiple volumes. By default, DiskState will look in the root folder and traverse down the folder structure.

  1. Select volumes you would like to search through.
  2. For each volume, you can alter the start path for the search by clicking on the small folder icon to the left.

Ordering a duplicate search operation involving several volumes, makes DiskState treat the your selection as one single volume. Thus, it will look for duplicate files across several volumes - just as one big volume were scanned.

Filter

  1. If you don't want DiskState to traverse through all the folders in the subtree, be sure to check the "Non-recursive" box.
  2. Normally DiskState ignores system files. If you are an expert user, you can override this safety setting (not recommended).
  3. You can also specify a regular expression for the files to check. For example, you only want to check for duplicate zip archives across all your volumes (use .*\.zip for this). The "Filter" button can be found in the left bottom of the window.

Tip: DiskState remembers the start path of each volume.

Tip: If you want to restore the search paths to the initial settings, click the "Defaults" button. "Clear" button makes all the start paths equal the root folder.


Reviewing Findings: Duplicates

Reviewing Findings

If DiskState found duplicate files in the specified volumes, these file names are shown in a new window - the Duplicates Search results window.

The file listing contains the following columns:

  • Absolute file name.
  • File size.
  • File date.
  • Version number of this if it exists in its resource.
  • ID. This is just a number to restore the original file ordering with duplicates ordered in families (blocks).
  • File type. Examples: text file, PsiSetup.File.1 and so forth.
  • Path name. This column is included to enable sorting by path name without the file name.

You can change the sort order by clicking at the column headers. Note: The default sort order is to batch the same types of duplicate files together. It is not possible to change this default setting (safety reason: it is easier to mistakenly select duplicate files of a different type).

Typical Use

Select duplicate files from the list. You can click the column header to sort the list by size. Go for the largest files, like MP3 or any other multimedia types. Click the ID column header to go back to the original sort order (by file contents). When you are finished selecting the files you want to remove, click "Delete". Be sure to enable the automatic backup feature of DiskState (Zip Safety).

Context Menu

Pressing right mouse button in this results window, brings up a context menu shown below:

From this menu, you can:

  • Select all files override. If there are any system files in the list, these are not selected by "Select All" of safety reasons. To override this, enable this option.
  • System files are shown default in red color. Customize this color by "Choose Warning Color".
  • Toggle the selection of the highlighted file(s). To highlight a selection of file(s), just surround the file with a rectangle box holding down the left mouse button at the same time.
  • Toggle the selection of all files.
  • Select and unselected highlighted file(s) for removal.
  • View a file.
  • Rename highlighted file(s).
  • Move highlighted file(s).
  • Add the highlighted files to the duplicates ignore list.
  • Add all the folder of the residing highlighted file to the duplicate ignore list.
  • Scroll up and down a duplicates family. A family is one type of duplicate files, i.e. all the files in one color is shown in the same background color (gray or white).
  • Copy the full path of highlighted file(s) to the clipboard.
  • Bring up the help system.

Left Button Group

  • Select All and Select None of the files shown to the right.
  • Base Select - a clever way to select files from the list of duplicate files.
  • Print the list of duplicates for later reviewing.
  • Export the file listing to either clipboard, ASCII file or binary file. The latter is used if the user wants to import the file list at a later point in time. The file selections are remembered while exporting/importing of the file list.
  • Delete the select files to backup. Be sure to have the checkbox "Move to zip file(s) as backup" enabled.
  • View the selected file or opening it with its associated application.
  • Find files. Use the powerful regular expressions to find and select or unselect files of your choice.
  • Close the results window when you are satisfied.

Base Select

Base Select was designed to help users with a very long list of duplicate files. It aims to help selecting files from this huge list. You can use the Find functionality up to some point, but users may want something more sophisticated. The answer is to facilitate the Base Select.

Warning! Base Select must not be 100 % trusted. It depends on your regular expressions - if they are wrong, DiskState selects the wrong files. Remember to keep the backup feature enabled at all times.

There are five options available for Base Select.

  1. Select file(s) residing in folder. DiskState uses regular expressions here. If you want to select files in folder I:\my-files\stuff\, you should write: I:\\my-files\\stuff\\.
  2. Select file(s) residing in upper folder level. This option will keep files deeper down in the folder structure. It favors children nodes instead of parent ones, so to speak. Example: C:\A\a.txt will be selected instead of file C:\B\C\a.txt.
  3. Select file(s) in folder X and keep duplicate file(s) in folder Y. This is ideal to use with dedicated folders for backups.
  4. Select files with same file name. This option selects the files of same content that have the same file name except the oldest or newest one. The file name comparison is case-insensitive.
  5. Keep files with shortest/alphabetic file name. This option is useful if you have a news reader that saves attachments to disk for you. A few program appends ".bak", ".1", ".2" or just number after the original file name. Example: myfile.doc, myfile.doc1, myfile.doc.1. Checking this option will make DiskState keep the original myfile.doc and select the other files for removal.

Tip: DiskState remembers these options and regular expressions are used here.


State Captures

DiskState can be used to detect the slightest change to files in folder structures. In other words, DiskState can capture the state of all files in a folder tree. It uses the powerful 128-bit MD5 technology key for each file. You can then later compare old states with the current one.

A window will prompt you with the changed, added and missing files.

The "State Captures" window can be opened by clicking the "Compare" button of the main window (or use the context menu by right clicking in the main window).

[Read More...]


Getting Started: State Captures

Getting Started

The "State Captures" window can be opened by clicking the "Compare" button of the main window (or use the context menu by right clicking in the main window).

Everything here resolves around projects. The project files are initially stored in the same folder as the DiskState application itself. Normally, this would be C:\Program Files\DiskState. You can change this by clicking on the small folder icon in the right part of this window.

From this window, you can add, compare and remove projects.

  1. Click on the "Add Project".
  2. Use the browse button to select an existing folder in your system or manually edit the path box in the newly presented window. In an example, we typically select C:\Documents.
  3. You can edit the internal project name, but this is not necessary.
  4. If you would like DiskState to traverse all the folders in the tree structure, enable "Recursive folders". This is default on (enabled).
  5. To be able to detect if other properties of a file has changed, be sure to enable "Include file attributes in state". I.e. the READ-ONLY attribute was recently added to a document in a folder. This option enabled detects such changes as well.
  6. Click on the "Add" button to add the new project.
  7. If you would like DiskState to load an initial basis for comparison, answer "Yes" in the popping dialog about this.
  8. You can then click "Compare" to detect changes, or "Remove Project" as you see fit.


Compare Results: State Captures

Compare Results

The compare results shows the files that are deleted, new files and changed files. It possible to print this list, export the list, view the files and search in the file list, as well as delete files from this list. This is completely analogous with list presented for duplicate files.


System Tools

DiskState includes four system tools to help the user with little nifty tasks. You can open these system tools from the "System" button in DiskState's main window (or use the context menu).

  • Cover Your Tracks in Windows.
  • Edit the Add/Remove Programs.
  • Extract Boot Blocks (multi-boot enabler for BeOS, Linux etc.).
  • Compare Files (advanced verify).

[Read More...]


Cover Your Tracks

When you are using Windows, you leave certain tracks behind. Typed URLs, run history, find history, document history, cookies and so forth to mention a few.

You can leave valuable security information behind on a computer for malicious users to abuse. These are also trackable information on the pages you visited on the Internet.

The "Cover Your Tracks" system tool helps you cover (clean!) your tracks.

Usual Windows Stuff

You can clean the Windows Run History, i.e. the list of typed program to run can be erased. Next, you can erase records of Find History on your computer. Finally, you can delete the list of recently used documents in the Document History in your Start Menu.

Start Menu Re-Sort. Starting with Windows 2000, the order of Start Menu entries can be modified. If you want to reset this menu ordering, click the "Re-sort your Start Menu" button.

Tidy recently accessed items. Starting with Windows 2000, items that are seldomly used in the Start Menu vanish. If you want to unhide these, click this button.

Internet Explorer Web Browser

IE: Manage Cookies

 You can manage your Internet Explorer cookies by clicking on the "IE Cookies" button. This brings up a new window with a listing of the cookies that belong to you. The listing has four columns: the site location (server name) of the cookie, the number of days since the cookie was updated, the full path to the cookie file and the contents of the cookie. You can sort the cookies by clicking on the "Days Ago Modified" column to find the oldest or newest cookies.

Use the Find button to find and select cookies with a specified sub-string in the server name. Typing in "www" will find all the servers that contain the word "www" in them.

Click AutoSelect if you want DiskState to guess for offensive cookies to remove.

The Toggle button inverts your cookie selection. Useful if you want to select all the cookies you have got, or just keep the opposite cookies selected by the Find button.

The Remove button deletes the selected cookies from your system. NOTE: This will delete the cookie from your system regardless if Zip Safety is enabled.

If you would like to Export the list of cookies with location, days since it was accessed and contents, click the Export button.

You can view the contents of the selected cookie by clicking the View button.

Note: There is a context menu available if you click right mouse button.

IE: URLs

Clicking on "IE URLs" cleans the URLs you typed in Internet Explorer.

IE: History

You can clean the history of visited web sites. In this case, the IE Persistent Cache option deserves an explanation. Internet Explorer have a security bug which records all URL activity in hidden undeletable history files. By unchecking this IE Persistent Cache option, these files become deletable upon next reboot. That is, if you enable this option, the next time you click "Clean History" in Internet Explorer, the hidden URL activity logging is also cleared. By clicking "IE History" in DiskState, it will prompt to erase these hidden files without enabling this option.

Opera Web Browser

You can remove all the Opera cookies found, clean all the URLs typed in and visited as well as clean the history and cache. You will have to confirm the deletions after clicking on any of the three buttons.

This feature works with Opera 5, too.

Netscape Web Browser

You can remove all the Netscape cookies found, clean all the URLs typed in and visited as well as clean the history and cache. DiskState will prompt you with a confirmation window. If it finds a valid profile, it will be shown in this window.

If you have several user profiles installed, DiskState will use the current active profile (Netscape 4) or prompt you with the available profiles it can find.

This feature works with both Netscape 4 and Netscape 6 installed simultaneously on your computer.


Add/Remove Programs

Have you ever been bothered with software applications that just won't uninstall themselves from the Add/Remove Programs list found in the Control Panel of Windows? Or even better, seen duplicate entries there?

The system tool "Add/Remove Programs" helps you editing, removing and even adding new entries to the applications registered by Windows control. Thus, if you are having problems with uninstalling a program from this list of applications, simply use DiskState's system tool here, select the application to uninstall and click "Remove".

Note: Removing entries from this list does not clean up the registry or potential remaining files from the program uninstalled. It will simply clean up the list of applications for you.

Validate Installations

DiskState can validate your list of installed applications. If it finds anything suspicious, it will suggest removals for you.

Uninstall Applications

You can uninstall applications directly from within DiskState. This is much faster than the usual Windows 2000 Add/Remove Program found in the Control Panel in Windows.

Click "Uninstall" after highlighting an application name from the list.


Extract Boot Blocks

This system tool is useful for multi-boot systems to extract boot blocks of each bootable partition. It also integrates itself with the Windows NT, Windows 2000 and Windows XP boot loader.

Note: The Extract Boot Blocks system tool is unavailable for Windows 95, Windows 98 and Windows ME. It only works with Windows NT, Windows 2000, Windows XP or better.

DiskState recognizes over 200 different partition types.

A typical use of this tool is to add Linux, BeOS or Windows 98 to the boot menu when Windows starts (boot loader).

The box to the right presents a list of identified partitions on your system. The format of each volume entry is:

Partition Type
Size (DiskID*)

The asterisk (*) is shown when the partition is part of an extended partition.

To add an entry in the Boot Loader menu:

  1. Select a suitable bootable partition which you want to boot.
  2. Click "Add Boot...".
  3. Enter a describing name, that is boot label, of this new entry for the boot menu.
  4. Click "Set" to finalize and add this entry.

You can also just extract boot blocks if you have compiled a new Linux kernel (and uses Lilo locally on your ext2-partition). Simply extract the newly updated boot block from the Linux partition and overwrite your current boot block for the boot menu.

You can remove boot entries by clicking the "Remove Boot" button.


File Compare

DiskState can perform a very thorough file comparison of two files. The same mechanism is used to find duplicate files.

You can run this comparison on selected files. Click Compare Files to select the two files you want to compare against each other.

The result of the comparison is printed at the bottom of the window.


Deletion Engine

DiskState includes a Deletion Engine to clean up specified folders ignoring user-definable files, files older than a given number of days and so forth. Works with all files in the directory tree and can also delete empty folders upon selection. The engine can also be told what to delete, in addition to what to ignore. The engine is only available under Windows NT, Windows 2000 and Windows XP.

[Read More...]


Deletion Engine

What does it do?

DiskState includes a Deletion Engine to clean up specified folders ignoring user-definable files, files older than a given number of days and so forth. Works with all files in the directory tree and can also delete empty folders upon selection. The engine can also be told what to delete, in addition to what to ignore. The engine is only available under Windows NT, Windows 2000 and Windows XP.

The engine is typically used to clean up large shared temporary folders on servers. A system manager would typically want to delete files older than 7 days every night at 2 a.m independently of the file rights on the server.

It can also be used to remove a few files from an entire folder tree. One example: Using Emacs generates a lot of ~ backup files. These can be specified for removal (use Include rule ".*~$" without the quotes).

Setting up

  1. Go to the settings and click on the "Deletion Engine" tab.
  2. Click the "Service Setup" to set up the Windows service for the Deletion Engine.
  3. Enter the user context to run the service under. Use DOMAIN\UserName or .\UserName for a local account. Since you would typically want to delete all the files in the specified folders (ignore file rights), use an Administrator account here.
  4. Enter the user password. Note: The password is not stored in the registry.
  5. Click "Install Service".
  6. Observe the text to the left of the "Stop Service" button to see if the service gets installed correctly.
  7. If DiskState fails to install the service, please see the F.A.Q. on this.
  8. Click "Start Service" to finalize setting up of the engine.

Configuring

  1. Go to the settings and click on the "Deletion Engine" tab.
  2. Make sure the engine is not enabled when configuring it (to avoid it accidently to schedule in while configuring the engine).
  3. Specify which folder should be cleaned. Examples: C:\Temp or C:\Documents and Settings\Administrator\Local Settings\Temp
  4. If you want to keep certain files in the specified folders, E.g. Backup folders, add regular expression rules on this. These rules are added to the "Exclude folders and files" list box.
  5. If you want DiskState to only delete a given type of files, specify the regular expression rules on this. These rules are added to the "Include folders and files".
  6. Click "More settings" tab in the "Deletion Engine" tab (bottom).
  7. Specify rules to go by. For example: delete only files which haven't been modified in 7 days, delete empty folders and include subfolders in the folder hierarchy.
  8. If you are interested in knowing what the Deletion Engine has been doing (if enabled, it is working totally in the background while you are not even logged on to your workstation), you can enable logging. The magnifier glass to the left of the log file name views the log if any.
  9. When you are satisfied with your settings, click back to the "Engine" tab.
  10. Find a suitable time of day to schedule this service. Note that this is military time. I.e. 02:00 is 2 a.m. and 23:00 is 11 p.m.
  11. Enable the Deletion Engine by checking the "Enabled" box.


Batch Reports by Command Line

Are you a system administrator who wants to get an email everyday on the disk status of one of your servers? With DiskState, you can make an ASCII report by using some simple command line options.

You might also want an automatically generated duplicates file report every morning? DiskState can help.

[Read More...]


Batch Reports by Command Line

Disk Space

You can enable DiskState to dump an ASCII report of your disk space and exit. Start DiskState from the command line with the argument "/dumpstate". Example:

C:\Program Files\DiskState.exe /dumpstate [file]

The [file] is optional and specifies the path and file name of the report to be generated. If omitted, a file called DSOutput.txt is created in the current folder.

This way, you can make DiskState generate ASCII reports. You can email these reports on a daily basis so that you know the disk space status of servers and so forth at all times.

Example: DiskState /dumpstate D:\mySpaceReport.txt will generate a report called mySpaceReport.txt on D:.

Duplicate Files

DiskState is good for finding duplicates. It can be asked to do this by the command line, too. Simply start DiskState from the command line with the argument "/dupes". Example:

C:\Program Files\DiskState.exe /dupes path,path,... [file]

The start paths for the duplicate search are given by path. Separate multiple start paths by a comma.

The [file] is optional and specifies the path an file name of the report to be generated. If omitted, a file called DSOutput.txt is created in the current folder.

Example: DiskState /dupes C:\Src,F: D:\myDupesReport.txt will generate a report called myDupesReport.txt on D:. The content of this file is a duplicate file listing of the C:\Src and F:\ folders.


Using DiskState in Scripting by Command Line

DiskState in Scripting by Command Line

Are you a system administrator who wants to check a local drive's free space from a scripting language like Perl or Python? DiskState can return TRUE or FALSE in a login script to determine whether an application should be installed on the particular node and such.

[Read More...]


Using DiskState in Scripting by Command Line

DiskState in Scripting by Command Line

You can enable DiskState for scripting to return TRUE or FALSE depending on the local volume's free space by the command line. Start DiskState with the argument "/HasVolFree". Example:

c:\Program Files\DiskState.exe /HasVolFree <driveletter>:<percent>

The <driveletter> is one letter A-Z and specifies which local volume to check. And the <percent> indicates the amount of free space necessary to return TRUE given by a decimal percent value.

A real world example would be:
c:\Program Files\DiskState.exe /HasVolFree d:20

It checks drive D:\. If this volume contains 20 % or more free disk space, DiskState returns TRUE. Otherwise, DiskState returns FALSE. Note that TRUE has the value of zero (0).

This way, you can make facilitate DiskState from Perl and Python with login scripts and such. The system("...") is useful in the former to accomplish this task.


Configuring

There are a few settings to this program. Play with them - there's not much that can go wrong. This section will explain some cool things you can do.

Remember that wherever you are, DiskState provides tooltip help over each option for hints.

[Start]


General Tips

Performance

  • Polling Interval. You can set the polling interval when DiskState should retrieve your disk space information. This should typically be every 10 seconds. If you have a lot of network mapped drives, it is not recommended to use a shorter interval as the system might get somewhat slow.
  • Task Priority. Investigating the system for duplicate files is no simple task. DiskState can easily eat through several GBs of files. If DiskState is running on an important server with a lot of users, adjust the DiskState Work Priority to Idle. Doing this makes DiskState only use free CPU cycles for its work - leaving the server workload alone for its users.

Volumes

  • Storage Volume Setup. Polling floppy drives A or B is not generally a nice idea. On a normal floppy drive, there will be small clicking sound if there is no floppy in the drive when DiskState checks this volume. Tip: If you are using a LS-120 drive or a CF-Card Reader, this shouldn't be much of a problem.
  • Color Threshold. You can specify the percentage thresholds for disk usage bars in the DiskState main window. By default, the usage bars go yellow if the usage is above 60%, and they red over 90% usage. This is to help spot exhausted disk volumes easier. Drag the sliders for custom threshold values.
  • Window Shade. To select what volumes to appear in the DiskState main titlebar in window shade mode: a) click the Window Shade button, b) click OK c) click on the three volumes you would like to appear in the titlebar (order relevant) and d) you're set.
  • Tray Icon. Do you want to have a pie icon in the system tray? This pie chart shows the space usage of a given volume. To enable this feature, click on the Tray Icon button, answer Yes, and then select a volume to be represented by a pie chart icon by clicking on a given volume A-Z next. Note: Enabling this will replace the original DiskState icon. To disable this feature again, click on the Tray Icon button again and click Yes.

Notify

  • You can set up notifications when volumes reach their specified maximum capacity.

Window

  • System Tray. Like to have DiskState running at all times but do not want taskbar real-estate consumed by DiskState? There are two options for you if you like to do exactly that: Click on the "System tray minimized" radio button under "Show window in" to make DiskState remove its taskbar icon and add a system tray icon when the application is minimized. The other option is to click on the "System tray only". This removes the taskbar icon whether DiskState is minimized or not. DiskState will in both these cases be accessible by a neat little icon in the system tray. You can also select DiskState to appear both places. That is, both be visible at all times in the system tray and the taskbar.
  • Always On Top. You can make the main DiskState window always appear on top of other windows.
  • Auto Start. To start DiskState when you log on to your workstation, enable "Automatically run...". However, it might be annoying to have the DiskState window pop up when you log on. Enable "Start program in iconized mode" to solve this problem.
  • Font. If you are experiencing problems with DiskState showing you weird international font characters, be sure to enable "Don't look for alternative fonts".
  • Multiple language support. Go to DiskState Resources on the web to see if there is a suitable language pack for you to download. Once downloaded, place the LNG file in the DiskState folder. Go to DiskState's settings and click on "( English )" from the Windows property sheet. Select the desired language pack and restart DiskState.


Options

DiskState has three separate configuration windows of switches (options) for you to choose from. Many of them will probably not be useful, besides those recommended by support if you are experiencing problems with DiskState.

Please note that it is NOT dangerous to play with the knobs here. DiskState will not stop working properly as a result. You are just changing the default behavior of this program.

Anyway, this page will give a couple of hot tips on which options that are useful. Remember, each option in DiskState has a tooltip. Thus, you will get a short description by hovering the mouse cursor above each option.

Always on Litestep virtual desktops

Do you have Litestep installed? It is a great replacement for the normal boring Windows interface. If you are using Litestep, you can make DiskState appear on every virtual desktop like a sticky application.

Ignore network mapped devices

If you are using mapped network devices over a slow internet connection, it may help to turn on the option "Don't detect network mapped devices".

View how much is really used as swap space

By default, DiskState only shows how much of the swap files that are used. To know how much disk space is really allocated by the system for paging files, enable "Show physical allocated swap space".

Don't Query Version Info

This option is a "debug" option. Version.dll (core OS file) may crash with dates above the year 2036 (NT4 SP4). Enabling this option will make DiskState alleviate this OS bug and not crash.

Automatically refresh State Captures

You can make DiskState automatically update the currently viewed list of changed, added and deleted files in State Captures.

Show allocated disk space per file

File systems uses different cluster sizes per file. That is, if a file takes 42 bytes, it may consume 4096 bytes on your hard drive. If you enable this option, DiskState will show the actual file size in Disk Analysis and DiskClean.

Short delays when mouse over volume name

If you like things in the fast lane, enable this option to produce a more responsive main window of DiskState.

Find Dialog: Match whole path

If you like to search for particular file paths instead of file names, enable this option "In Find Dialog...".

Fast duplicate file search

Enable "Ignore duplicate files of less than give file size" and "Use CRC-32 instead of MD5 in duplicate search" in the option tabs. This way, DiskState ignores small files and uses a less CPU intensitive algorithm to spot duplicates. You can set the minimum file size to check for duplicates in the Classic Mode of Dupes Search. Besides from being somewhat faster, the CRC-32 algorithm may help systems where the duplicate process detection hangs. The CRC-32 is quite accurate, but obviously not as accurate as the 128-bit MD5. However, for most cases the list of duplicates stays the same either option. Thus, it should work fine for most people.

Keep a tidy desktop

Enable the "Auto-minimize..." option to make DiskState hide windows not in use.


Rules: Duplicate Finder

Avoid by folder

Users typically have a Backup folder of some kind. Files residing in this folder should not be suggested by a duplicate files finder. In DiskState, click on "New" from the "Duplicates" tab of the settings and select the folders containing files to be ignored by the duplicate finder.

Avoid by file name

A more advanced approximation of setting an ignore rule for duplicate files, is to use regular expression matches per file name. You can create, edit and remove these rules from the same tab as mentioned above. I.e. to ignore all the important duplicate Zip files on your computer, enter .*\.zip as your rule. Now, your zip collections will remain safe and no duplicate zip file will be suggested for removal.

These rules are stored in an INI file called Dupes.ini if you want to edit this manually. The format of this file is explained in the top of this file. It normally resides in the DiskState folder.


Rules: Volume Cleanup

You can customize the cleanup rules DiskState is set to use on your volumes if you want to. Go to the "DiskClean" tab of the settings. Here you can create, edit, delete and restore default rules of cleanup.

Equally important, you can enable and disable rules as you see fit. By default, DiskState does not use all the predefined rules.

You can also select exclude rules for the volume cleanup:

  • Exclude a folder by browsing for it. Click on the folder icon for this.
  • Exclude a special name of a folder using regular expressions. Click on the small magic wand icon for this.

Create new rule

Adding a new rule is easy. Enter a describing name of the rule to add, e.g. "Old ini files (*.---)" without the quotes. Next, enter the regular expression that goes along with it. This may be the hardest part. As in our example here, we want all file names ending with the extension ---. The regexp would then be .*\.---$. We recommend reading the brief note on regexps to understand why. Then we select if this rule should apply to file, folder names or both and click "Set" to finish the rule creation.

These rules are stored in an INI file called Clean.ini if you want to edit this manually. The format of this file is explained in the top of this file. It normally resides in the DiskState folder.


Regular Expressions

DiskState uses regular expression (regexp) in many places. These expressions may seem pretty difficult at first, but they shall prove themselves highly powerful once you learn to use them. Regular expressions are commonly used in the Perl and Tcl language (from the Unix world).

We will describe the special characters of Regexp and conclude with a few examples.

New to this?

If you are not used to regular expression, the first thing you will probably notice is the use of .* instead of the normal *. The dot before the asterisk means that it will match any character. Combined with the asterisk gives match any character zero or more times. With the power of regular expressions, one could use s* to match zero or more of the letter s. It might be a bit unusual at first, but regular expressions are very powerful.

Character | Description
^ | Matches beginning of string. For example, "^F", will match an "F" only at the beginning of the string.
^ | A caret "^" immediately following a left-bracket ( [ ) excludes the remaining characters within the brackets. [^0-9] matches non-digits only.
$ | Dollar sign ($) matches the end of the string. "abc$" will match sub-string "abc" only if it is at the end of the string.
| | Alternation character ( | ) allows either expression on its side to match target string. "a|b" will match "a" as well as "b".
. | The dot ( . ) matches any character.
* | Asterisk (*) means that the character to the left should match 0 or more times.
+ | Similar as asterisk (*), but requires at least one match (1 or more times).
? | Question mark (?) matches the left character 0 or 1 times.
[ ] | Brackets enclosing a set of characters indicates that any of the enclosed characters may match the target character.
\ | Indicates special character, like the "." with "\.", "?" as "\?", brackets etc.

Popular Regexps in DiskState

Regular Expression | Meaning
.*backup.* | Finds any text with the substring backup in it. Example: SrcBackupFile.tmp
File[0-9]+\.tmp$ | Looks for any filename beginning with the four letters File, followed by at least any number, and ending with the file extension tmp.
.*\.exe$ | The very analogous *.exe searches one can do. Note the backslash to avoid the special character dot, as well as the $-sign at the end to match end of string (extensions are always at the end).


Backup and Restore

By default, when you delete a file in DiskState, files are not entirely deleted from your hard drive. Instead, DiskState packs these files to a so-called Zip file. More specifically, it will create one zip file per volume containing the whole subfolder structure of the deleted files.

Backup is advocated purely of safety reasons. The user may accidently select and delete a set of duplicate files on the computer. If a backup exists, it is an easy task to restore the potential lost work.

Tip

Always keep the Zip Safety option on. For your own convenience, you should make a folder somewhere on your hard drive called Backup. Enable the DiskState backup option to always save the zip files in this specified folder.

Compression level. For faster file deletions with recovery, use a low compression level. By default, we recommend level 7 offering good compression at an acceptable speed. Level 10 is likely to offer maximum compression ratio, albeit at the slowest file deletions.

By default, DiskState will use Zip Safety and store the backup files to the same folder where DiskState is installed.

Restoring

Open Settings and expand "Zip Safety". There, you will see a Recovery tab. Clicking on it will show a list of backup files found in your current Zip Safety folder (specified in "Always place zip files in specified folder" of previous tab).

Simply select the volume you wish to recover files from and click "Recover".

Once you have clicked "Recover" on a file, a new window will present itself. From this window, you can mark the files you wish to recover. If you select all files, DiskState will be careful and it will not overwrite files with newer files than the ones found in the backup file.

You can also remove backup files by highlighting a backup file and clicking "Delete". If your system is working nicely and you don't regret deleting files, it is recommended to delete these backup files to reclaim the disk space you have cleaned.


Internet Notification

To ensure that you are running the latest version of DiskState, you can ask DiskState to poll an Internet Server once a week or every time DiskState is started for news or upgrades.

If you for some reason would like to poll off an old read message of the server, click "Flush History". This deletes the ID and timestamp of received messages. "Check Now" will view the latest message all over again.

If DiskState detects an update and if there's automatic update tool available on the Internet, it will ask you if you would like to automatically update your copy to the latest version. This process is fully automated. It is highly recommended to upgrade to the latest version of DiskState. Upgrades and bug fixes in the v2.x range are all free of charge.

Security

If your workstation is safely behind a firewall, you can specify a proxy server towards the Internet. By default, DiskState will use your Windows settings for this.

Under the hood, DiskState opens an HTML file on a web server to check for upgrades. If an update is found, DiskState will pop up a dialog with the news and a link for download the new upgrade (and even offer an automatic upgrading functionality if available). Note: this program only reads data from a server - it does not give away any information from your computer - nor does it register an upgrade.

Upgrade manually?

If you don't fancy this feature, you can grab ahold of the updates directly from Geekcorp Software. Go to the following URL

http://geekcorp.com/diskstate/upgrade.php

Upload your DiskState.exe binary as "proof" of being a licensed user. You will then be given access to the secure download area at Geekcorp Software.


Launch

This property sheet allows you to customize the applications in the lower icon part of the Disk Analysis window. If Custom Applications are not enabled, DiskState will try its best to find suitable programs like ScanDisk, Disk Management (Win2000) and a Defragmenter.

Enable the option to select your favorite third-party tools to run instead of the standard tools. Either enter a full path or use the browse button to locate the executable of the program to run. A suitable short display name should also be entered. The name appears under the icon itself.

DiskState passes on the drive letter (e.g. C:\) as the first argument when launching the application.

If you leave the Defragmenter field blank, DiskState will try its best to come up suggestion of a defragmenter tool in your system if available. If PerfectDisk from Raxco Software is available, DiskState will suggest it (Windows NT/2000/XP only).


Ordering DiskState

You may order DiskState using an online registration form. Licensed copies of DiskState can be downloaded today from secure web shops at your convenience. Payments are via major credit cards like VISA and Mastercard. Other cards are available depending on the region you order DiskState from.

As DiskState is being sold exclusively by Raxco and its resellers, please contact the nearest reseller for information about checks, discounts with large orders and pricing.

[Read more...]


Order Information

This page contains order information to buy a licensed copy of DiskState.

30 Day Evaluation Version

DiskState comes with the ultimate warranty. You can download it free of charge from the Internet, try it 30 days and then decide if you want to keep it or not. After 30 days of use, the application will refuse to work on your computer.

That is, DiskState won't stop working just because you went on a 30-day vacation just before you installed it. You have to use DiskState for 30 full days before its evaluation period is over.

The 30-day evaluation version cannot be unlocked by a special personal key included. Instead, a licensed version must be purchased exclusively from Raxco or its resellers. The licensed version will never expire. Another key benefit with the licensed version of DiskState, is a fully automated upgrade capability to the latest DiskState version with your permission.

Ordering

Online Registration Form

You may order DiskState using an online registration form. Please follow these steps:

    1. Select the closest reseller to you below: North America, Europe, Australia, New Zealand, S.E. Asia or Elsewhere. Click the "Buy Now!" link to proceed directly to the secure web shop. Before making your purchase from "Elsewhere" (i.e. if you are located in wonderful Africa), be sure to check this page for updated sales pointers to new regions.

      PLEASE SELECT REGION:
      North America
      • Read More
      • Buy Now!

      Europe
      • Read More
      • Buy Now!

      Australia, New Zealand, S.E. Asia
      • Read More
      • Buy Now!

      Elsewhere
      • Read More
      • Buy Now!
    2. Payments are via major credit cards. When you have completed your order, you can securely type in your credit card information. VISA and Mastercard are accepted in most regions. In Europe, JCB, Solo and Switch credit cards are also accepted. American Express is accepted in North America.
    3. Download the full licensed version of DiskState as soon as your credit card information is verified.
    4. Install and enjoy.

Offline Registration

Please contact the nearest reseller to you. Go to http://geekcorp.com/diskstate/buy.html to find the one closest to you.

From here you can then locate sales enquiries phone numbers and such. As one example, the European sales office at Raxco Ltd. is +44 (0) 116 2630033.


Support

The author of this program's top priority is the users of his products. If you have purchased a product from us, we're here to make sure it works perfectly for you.

This section of the help file describes the Year 2000 compliance of DiskState, customer support, frequently asked questions, web resources and contact information to make sure your copy of DiskState works perfectly.

[Read More...]


Customer Support

It is inherently important that you, the user of DiskState, are satisfied with your purchase. This is our first priority.

If you are experiencing problems with DiskState on your computer, please follow these simple steps:

  1. Make sure the problem is not covered in this help file. Be sure to read the frequently asked questions, too.
  2. Please include the version information including build number of the operating system you are using. Example: Windows 2000 Professional.
  3. Include the version and build number of DiskState. This information can be found in DiskState's About dialog.
  4. Write down basic information on your hardware configuration or any potential special issues that might affect the problem. Example: "running a RAID5 with Novell v5" etc.
  5. Describe the problem. If you can reproduce this error, please include details on how to proceed.

Send this information in an email to diskstate-support@geekcorp.com with the word "DiskState" in the subject, so that we can solve this problem as soon as possible.


Year 2000

Year 2000 Compliance

DiskState has been tested extensively for Year 2000 compliance (Y2C) as well as year 2038 compliance. The only problem found in DiskState v1.x was files dated after year 2038 (surpassing the 32-bit boundary of seconds since 1970). DiskState now handles these files correctly. File display has no problems with year 2000, as DiskState uses 64-bit Win32 functions to handle dates beyond the year 2000.

The author can, however, not give you a legally binding written statement that DiskState is 100 % Year 2000 compliant. Every complex software contains bugs - this cannot be avoided, because every user uses the software in a different way and a different environment. DiskState bug fixes can be downloaded for free, and we will of course quickly correct any bugs which are reported to us.

If you are connected to the Internet and there's an update available for DiskState, this program will (upon your acknowledgement ) automatically update itself.

As we are now well into the new Millennium, there has not been any reported incidents on Year 2000 problems. It works nicely.


Contact Information

We are very interested in hearing from our users.

Geekcorp Software
Attn: S. Rasmussen
Valdresgt. 3A
NO-0557 OSLO
Norway

E-Mail: geekcorp@geekcorp.com

You can use the old-fashion FAX thing, but it is not recommended. Our FAX number is: +1 (603) 309-6028.

Missing a feature in DiskState? Problems? Reselling? Tell us what you think - preferably by email. Thank you!


What is new?

What is new in v2.61?

  • Disk Capacity Notification can monitor UNC paths. This is ideal for remotely monitoring volumes that have no local drive letter.
  • Bugfix & Cleanup: Printing works much better now. It should look leaner too :-)

What is new in v2.60?

  • Added Re-sort Start Menu to 'Cover your tracks'.
  • Added Tidy Recently Accessed Items in Start Menu to 'Cover your tracks'.
  • Added option to look for all audio and video multimedia files instead of individual categories. This option can be found in the new duplicate Wizard.
  • Added context menu in DiskClean and Capture State result set for selecting and inverting highlighted items.
  • Added first version of File Compare to System Tools (very thorough file verification tool).
  • Improved base selection for duplicates. Each bag of duplicate files is now sorted individually.
  • Settings window size can now be reduced and minimized to avoid cluttering of the desktop.
  • Improved uninstallation feature directly from DiskState. It is now possible to uninstall any application from the list of installed programs.
  • Documentation language improved, added more access points and more tips on compression and help in both Readme and context sensitive help.
  • Support for Russian character set.
  • Visual improvements in the main dialog on Windows XP.
  • Running ScanDisk from Disk Analysis window will refresh the volume cache if DiskClean is run.
  • Replaced standard icon in task list with custom DiskState icon.
  • 'Find Dialog' is now always on top. Furthermore, if any of the buttons in Disk Analysis are pressed while other tasks are running, the user is notified about this.
  • Added more tool tips everywhere. Especially in 'Find Duplicates'.
  • Help system accessibility improved. Open context sensitive help by pressing F1 in most windows. Help in the main window also be started from context menu and a middle mouse button click.
  • Moving files in duplicate listings now allowed if non-absolute filenames are used in the display.
  • Added more items to duplicate file result context menu. Added a few more items to Disk Clean results context menu, too.
  • Operations in duplicate file result context menu are now carried out on all the highlighted entries. For instance, this makes it possible to move a given number of files in one operation.
  • Cookie Manager can now export cookie locations, days accessed and contents to file.
  • Added View Cookie to Cookie Manager.
  • Added context menu for IE Cookie Management.
  • Now testing for presence of file during duplicate deletion to avoid error messages on non-existing files.

What is new in v2.50?

  • Searching for duplicates can be done by command line options. Useful for automatically generated dupes reports on a regular basis.
  • Export information in Disk Analysis to either clipboard or printers. The latter prints out pie usage as well. Color printers are recommended for legend.
  • Zip Safety now includes "Recovery". That is, you can directly restore the files deleted within DiskState. No longer in need for external Zip utility like WinZip. Select individually files to recover or all files. The latter is safe as it does not overwrite newer files than found in the backup file.
  • File deletion (including SafetyZip support) is available in DiskState Reports.
  • Added DiskState Report for RAR and ACE archives. Supports spanned files.
  • Supports LiteStep window manager. Make DiskState appear on every virtual desktop.
  • Cover Your Tracks now supported for Opera 5, Netscape 4 and Netscape 6. Even with the latter two simultaneously installed.
  • Deletion Engine now supports "delete per item". One example can be to use it to delete *.obj files from your Visual C++ projects, as well as ignore given folders at the same time.
  • Notify Max Disk Space Capacity added. Can notify by email, message box or both on any volume.
  • In Add/Remove Programs: Looks for invalid entries among installed programs. Suggests removal of invalid entries.
  • In Add/Remove Programs: Added "Uninstall" button for faster uninstall compared to Windows 2000/XP's uninstall list.
  • Context menu of duplicate list has new "Toggle All" button in addition to "Toggle Highlighted".
  • Now exports MD5/CRC-32 key generated during duplicate file search (as comma separated file or plain ASCII).
  • IE Cookie manager now preselects all cookies upon startup.
  • IE Cookie Manager comes with AutoSelect, which tries to make a guess of what to suggest for removal.
  • New WinShade window. Smaller and neater.
  • New tree-based configuration window.
  • Windows XP compliant graphics. Removed title bar color shading.
  • In DiskState Reports, it is possible to reduce the dataset by specifying start and end date of date stamps to show. Other entries outside the date range are removed from the list (not deleted from volume).
  • Now truncates long device name in main overview window.
  • Detects and cleans news cache headers in DiskClean.
  • New option in BaseSelect for duplicate searching: Select file names by alphabetical order. For example with file.doc1, file.doc2 and file.doc3, BaseSelect will delete the latter two and retain the former.
  • New Setup look. More Windows 2000-like.
  • Integrated with Enriva Magellan Explorer if installed. A great file explorer replacement. Try 'right-click' in Disk Analysis window.
  • Improved stability with huuuge volumes for Reports, Duplicate search, cleanup and print-outs. Also includes SafetyZip support for millions of files.
  • Deletion Engine memory footprint is reduced.
  • Added "Don't Delete Any File" in file deletion confirmation with protected files.
  • DiskState can now co-exist in system tray and task bar at the same time.
  • New Evaluation Policy. DiskState Evaluation version will not just expire 30 days after installation. It will remain active until it has been used for 30 full days.
  • Bugfix: Zooming the pie chart caused an hang-up until one pressed Escape. This has been fixed.
  • Bugfix: Deletion Engine failed to start for some of the world's time zones. Fixed.
  • Bugfix: Generating file reports on files older than 1970 made DiskState crash. Fixed.
  • Bugfix: Misplaced buttons appeared with a given display setting. Fixed.

What is new in v2.10?

  • Added Duplicate Files Find Wizard in addition to Classic mode. Got a lot of MP3s, image files and other multimedia duplicates? This wizard makes searching easier for you!
  • Added a system tray icon to represent the graphical storage usage of a given volume. Shows a tiny pie chart.
  • Added a new pre-defined report: Show me the files with paths that exceed > 240 chars. Useful to identify which files are affected by backup programs with path truncating.
  • Added a resizable separate pie chart window to Disk Analysis. Click on the pie to zoom in on those crowded folder usages.
  • Added a Cookie Manager for your IE web browser. Replaces old cookie cleaner with new and improved one: Remove cookies selectively using sub-string matches, all or by manual selections.
  • Added the possibility to remove boot entries in the Boot Loader of Windows 2000 and Windows NT.
  • Windows Millennium Edition (ME) ready.
  • Buttons are improved, bold face used for better accessibility.
  • System Tools window adjusted for 640x480 screen resolutions.
  • Improved window tray logic: no restarts necessary.
  • Added "Minimize to system tray". "System Tray minimize" shows taskbar icon while DiskState is non-minimized. The taskbar icon disappears when minimizing to tray.
  • Stability increased and other miscellaneous cosmetics works.

What is new in v2.04?

  • Uses significantly less memory resources.
  • Bugfix release. Anyone running v2.03 is strongly advised to upgrade.

What is new in v2.03?

  • Deletion engine is improved. Start time now shows either 12/24-hour clock depending on local settings, shows more detailed error messages when starting the service etc.
  • Base select option added: Select files with same file name. This option selects the files of same content that have the same file name except the oldest or newest one. The file name comparison is case-insensitive.
  • Batch reports now have drive letters included next to the volume name.
  • A couple of progress meters have been added when exporting results to either file, clipboard and so forth.
  • Importing duplicate search results is faster.
  • Importing of duplicate search results now follows the ignore rules. Furthermore, duplicate files become ghosted when ignored from context-menu.
  • Multi-toggle duplicate listing entries added.
  • Less flickering when browsing folders in Disk Analysis.
  • More options before searching for duplicates. I.e. ignore files smaller than X bytes.
  • Option to alert user when duplicate search is completed. If not selected and the main window is minimized, the result window is presented in minimized mode.
  • Removed confusing highlight-grouping in list of duplicates when sorting on file size, date etc.
  • Fixed a problem when installing Perfect Disk after installing DiskState.
  • Now supports an unbounded number of duplicate files of the same content.
  • Small forgotten bug-fixes :-)

What is new in v2.02?

  • Duplicate files finder is 30 % faster on the average by taking samples of data and doing further analysis when the samples are equal.
  • DiskClean now reports which rule each temporary file has been caught by.
  • DiskState detects five more temporary files for DiskClean.
  • Integration with Raxco Software Perfect Disk 2000.
  • CRC-32 algorithm available instead of MD5 when checking for duplicates. Option available in settings.
  • Added new pre-defined report: Find files edited, created or accessed within a given time period. Also possible to find files with given file attributes: read-only, hidden, compressed, encrypted etc.
  • The usual tweaks and fixes plus optimizations.

What is new in v2.01?

  • Specify color threshold settings for volume usage bars.
  • Displays interchangeably between swap space and memory usage under Windows NT and Windows 2000 series.
  • Window shading added. Shows three customizable volumes in title bar.
  • Shows the date of last file access for duplicate files.
  • Use DiskState in scripting to return TRUE or FALSE depending on your local volume's specified free space by the command line.
  • Other nifty small adjustments...

What is new in v2.00?

  • Multiple language support.
  • Select different starting folders for each volume in duplicate search.
  • Specify which files to investigate, what folders to avoid and what files to ignore during duplicate files detection phase.
  • Fully integrated with powerful regular expressions.
  • Export and Import functionality for the list of duplicate files found. Ideal for reviews later on.
  • List windows are fully resizable.
  • Adds columns for file version, ID, file type.
  • One can sort lists in different way by clicking on the column headers. Perfect to find large duplicate files or duplicate files of specific type.
  • Printing capabilities of duplicate list, DiskClean lists, reports etc.
  • Export lists to ASCII file or directly to clipboard.
  • SmartSelect upgraded. Will not select system files for starters.
  • System files are shown in red color for listings.
  • Reports can be generated to find the oldest files, zip files etc. on a disk volume. The whole report generator is user-customizable. Adding new reports is straight forward.
  • DiskState can capture the state of all files in a folder tree. This enables the user to compare old states with newly captured ones. Ideally for detecting changes in files, deleted files and added files in a structure of files.
  • View file contents or start the associated program for duplicate lists, DiskClean findings, Reports and capture listings. There is also a "Find" capability to search through long listings using powerful regular expression search.
  • Deleting files now includes ZipSafety. This means that the user can choose to take a backup of the whole folder structure of files to be deleted before the files are physically moved to the recycle bin or deleted for good. It now creates a zip file for each of the volumes involved in the deletion process. Use WinZip to restore deleted files if things go wrong.
  • The whole logic of DiskClean is now user-configurable with the full power of regular expressions. Create your of rules, disable and enable rules of your choice. Exclusion of folders is also possible by option.
  • Launches ScanDisk, Disk Administrator, Perfect Disk and Disk Management (Win2000) if available from a Disk Analysis window on volume. You can also set up custom applications to run for integration with your favorite third-party disk tool.
  • Windows 2000 Pro ready. It looks for the new Defragmenter included in this operating system. If it exists, an icon becomes available to defragment the drive with easy access.
  • Server friendly: make DiskState use idle cycles when working. This does not stress busy file servers.
  • Internet aware: Automatically check for updates and messages on the Internet regarding DiskState. Supports proxy web access also (behind firewalls etc.). Supports downloading and running an automated version updater.
  • System Tools: Edit, add or remove entries in Windows' list of installed programs (ideal to delete duplicate entries when updating software). Also, cover your tracks by deleting typed URLs in Internet Explorer, Windows' run history, find history, document history, IE cookies and IE history folder.
  • Deletion engine to clean up specified folders ignoring user-definable files, files older than a given number of days etc. Works with every nodes in a directory tree and can also delete empty folders upon selection. Only available under Windows NT and Windows 2000 Pro.
  • Show physical allocated swap space (file size) now enabled for Windows NT paging file(s).
  • Will not include network drives and DVDs etc. in total disk space (user option to enable this).
  • Will not suggest non-deletable files in DiskClean (option to disable available).
  • Will not auto-select all volumes to check for duplicate files (option to disable available).
  • Duplicate search can now skip recursive folders if the user wants to.
  • Faster duplicate search algorithm available in the option list.
  • Shows actual allocated disk space in Disk Analysis window upon user selection.
  • Shorter delay when mouse cursor is over volume in main window available.
  • Now ignores files residing in Recycle bin (user option to disable available).
  • Can ignore duplicate files of less than 64 bytes size option.
  • UMS Linux volume detection and device files are better ignored now.
  • Safety for duplicates list: At least one copy should remain of each file. Issues warnings.
  • Tool tips are everywhere.
  • Improved GUI.
  • Increased general stability, no longer freezes with very large volumes (like RAIDs).
  • Added Tip of the Day.
  • Now looks for dead file links in DiskClean.
  • Includes boot block extractor. Automatically add item to Windows 2000 Pro and Windows NT.
  • Incorporated dumping of volume information to ASCII file as a parameter. Use "/dumpstate [filename]" in command arguments.
  • Improved font support.
  • Move file, copy file, clipboard etc. available in context menu of duplicate list.
  • Base Select rules box added.
  • Year 2000 and 2038 compatible.
  • Miscellaneous tuneups...


Settings: Notify

Notify Max Capacity

You can enable notifications to be alerted when a specified volume reaches a given maximum capacity.

DiskState can notify by either popping up a small notification window, or by sending an email.

Setting up

    1. Check "Enable Notifications" first.
    2. Select the threshold level when you want to be notified. Example: 90 % full will activate notifications if the disk space for the given volume exceeds 90 % (less than 10 % free).
    3. Decide whether you want notifications by Msg Box (small popup window) or by email.
    4. Press "Notify Msg Box" for a popup window, or "Notify Email" for email notifications.
    5. Select if you want notifications based on a local mapped volume or a given network UNC path. The former is most common for local volumes. UNC paths are typically on the form \\HOSTNAME\path for machine HOSTNAME.
    6. If "Local volume" was chosen, select volume to attach notification request to. Otherwise, type in a valid network UNC path.
    7. If you specified any email notifications, type in the email address you want to send notifications to. Furthermore, you have to specify an SMTP mail server. If you don't know what the latter is, contact your system administrator.
You can disable/enable your notifications anytime by checking the "Enable Notifications".